Get an intern's daemon access (deprecated alias)
curl --request GET \
--url https://openrouter.ai/api/v1/interns/{internId}/daemon-access \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/interns/{internId}/daemon-access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/interns/{internId}/daemon-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"origin": "https://research-assistant-7c9e6679.or.bot",
"token": "daemon_token"
}{
"error": {
"code": 401,
"message": "Invalid or missing API key"
}
}{
"error": {
"code": 403,
"message": "Forbidden"
}
}{
"error": {
"code": 404,
"message": "Intern not found",
"metadata": {
"reason": "not_found",
"retryable": false
}
}
}{
"error": {
"code": 408,
"message": "Operation timed out after 10s. Please try again later.",
"metadata": {
"reason": "timeout",
"retryable": true
}
}
}{
"error": {
"code": 409,
"message": "This intern is not running.",
"metadata": {
"reason": "intern_not_running",
"retryable": false
}
}
}{
"error": {
"code": 500,
"message": "The request could not be completed",
"metadata": {
"reason": "internal_error",
"retryable": true
}
}
}Interns
Get an intern's daemon access (deprecated alias)
deprecated
Deprecated alias of GET /interns/{internId}/daemon with the same request, response, and errors. The API key selects the caller, workspace and visible interns. There is no default workspace fallback. Requests on regional hostnames such as eu.openrouter.ai are refused. API key required.
GET
/
interns
/
{internId}
/
daemon-access
Get an intern's daemon access (deprecated alias)
Authorizations
API key as bearer token in Authorization header
Path Parameters
ID of an intern visible to the authenticated API key.
Minimum string length:
1Example:
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
Response
Daemon origin and token.